import greenfoot.*;

/**
 * Write a description of class Lobster here.
 * Added the lobster class
 *
 */
public class Lobster extends Animal
{
    /** 
     * Act - do whatever the crab wants to do. This method is called whenever
     *  the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act()
    {
        turnAtEdge();
        randomTurn();
        move();
        lookForCrab();
    }   
    
    /**
     * Makes lobster turn when it reaches 
     * The edge of the world.
     */
    public void turnAtEdge()
    {    
        if ( atWorldEdge() ) 
        {
            turn(17);
        }
    }
    
    /**
     * Makes lobster turn randomly.
     */
    public void randomTurn()
    {
        if ( Greenfoot.getRandomNumber(100) < 10 ) 
        {
            turn( Greenfoot.getRandomNumber(90)-45 );
        }
    }   
    
    /**
     * Check whether we have stumbled upon a crab.
     * If we have, eat it. If not, do nothing.
     * When a lobster eats a crab the "au.wav" sound will play
     * And the game will end.
     */
    public void lookForCrab()
    {
        if ( canSee(Crab.class) )
        {
            eat(Crab.class);
            Greenfoot.playSound("au.wav");
            Greenfoot.stop();
        }
    }
}